local L = LibStub("AceLocale-3.0"):GetLocale("Deadpool", true)

function DeadpoolContextMenu_OnLoad(self)
	UIMenu_Initialize(self)
	UIMenu_AddButton(self, "|cFF00FF00"..L["DEADPOOLMENU_BET"])
	UIMenu_AddButton(self, L["DEADPOOLMENU_ADD"], "1"..deadpoolChipTextureString, function (self)
		DeadpoolContextMenu_Bet(self:GetParent(), "1")
	end)
	UIMenu_AddButton(self, L["DEADPOOLMENU_ADD"], "5"..deadpoolChipTextureString, function (self)
		DeadpoolContextMenu_Bet(self:GetParent(), "5")
	end)
	UIMenu_AddButton(self, L["DEADPOOLMENU_ALL"], nil, function (self)
		DeadpoolContextMenu_Bet(self:GetParent())
	end)
	UIMenu_AddButton(self, L["DEADPOOLMENU_REMOVE"], nil, function (self)
		DeadpoolContextMenu_Bet(self:GetParent(), "0")
	end)
	UIMenu_AddButton(self, "")
	UIMenu_AddButton(self, "|cFFFF0000"..L["DEADPOOLMENU_BANKBET"])
	UIMenu_AddButton(self, L["DEADPOOLMENU_UNIQUE"], nil, function (self)
		DeadpoolContextMenu_Bet(self:GetParent(), "unique")
	end)
	UIMenu_AutoSize(self)
end

function DeadpoolContextMenu_OnShow(self)
	UIMenu_OnShow(self)

	local parent = self:GetAttribute("Parent")

	self:SetPoint("TOPLEFT", parent, "TOPLEFT", 0, 0)

	self:SetBackdropBorderColor(TOOLTIP_DEFAULT_COLOR.r, TOOLTIP_DEFAULT_COLOR.g, TOOLTIP_DEFAULT_COLOR.b)
	self:SetBackdropColor(TOOLTIP_DEFAULT_BACKGROUND_COLOR.r, TOOLTIP_DEFAULT_BACKGROUND_COLOR.g, TOOLTIP_DEFAULT_BACKGROUND_COLOR.b)
end

function DeadpoolContextMenu_Bet(self, bet)
	local character = self:GetAttribute("Character")
	addDeadpoolBets(DeadpoolGlobal_SessionId, Deadpool_playerCharacter(), character, bet)
end

function DeadpoolCredits_OnLoad(self, locale)
	local frame = _G[self:GetName()]
	local frameLabel = _G[self:GetName().."Name"]
	frameLabel:SetText(L[locale])
	frame:SetAttribute("tooltip", L[locale.."_TOOLTIP"])
	frame:SetAttribute("tooltipDetail", { L[locale.."_TOOLTIPDETAIL"] })
	frame:SetAttribute("tooltipDetailGreen", { L[locale.."_TOOLTIPDETAILGREEN"] })
end
